@extends('dashboard::master')
{{--
    Autor: Giovanni López O.
    @gmlo_89
--}}
@section('head')
	
@stop

@section('content')
	<header>
		<h1 class="module-title"><span class="glyphicon glyphicon-align-left"></span>Registro <small>{{ $record->captain_name }}</small></h1>
    </header>
    {{ Alert::render() }}
    <div class="row btn-bar">
    	<div class="btn-group pull-left">
			<a href="{{ route('records.index') }}" class="btn btn-default">{{ trans('dashboard::label.go_back') }}</a>
		</div>
		<div class="btn-group pull-right">
			<a target="_blank" href="{{ route('records.print', [$record->id, $record->hash]) }}" class="btn btn-primary">Imprimir</a>
		</div>
    </div>
   
    
    	<div class="panel panel-default">
			<div class="panel-heading"><span class="glyphicon glyphicon-th-list"></span> Información del registro</div>
			<div class="panel-body">
				{{ Form::model($record) }}
				  <div class="form-group">
				    <label for="inputHotel">Hotel</label>
				    {{ Form::text('hotel', null, ['class' => 'form-control']) }}
				  </div>
				  <div class="form-group">
				    <label for="input">Boat Name</label>
				    {{ Form::text('boat_name', null, ['class' => 'form-control']) }}
				  </div>
				  <div class="form-group">
				    <label for="inputAnglers">Anglers <span class="text-danger">*</span></label>
				    {{ Form::selectRange('amount_of_anglers', 1, 4, null, ['class' => 'form-control', 'id' => 'inputAnglers']) }}
				  </div>
				  <div class="row">

				    <div class="col-md-6 angler-container" >
				      <legend>Team captain</legend>
				      
				      <div class="form-group">
				        <label for="input">Team Captain </label>
				        {{ Form::text('captain_name', null, ['class' => 'form-control']) }}
				      </div>
				      <div class="form-group">
				        <label for="input">Email </label>
				        {{ Form::email('captain_email', null, ['class' => 'form-control']) }}
				      </div>
				      <div class="form-group">
				        <label for="input">Address </label>
				        {{ Form::text('captain_address', null, ['class' => 'form-control']) }}
				      </div>
				      <div class="form-group">
				        <label for="input">City</label>
				        {{ Form::text('captain_city', null, ['class' => 'form-control']) }}
				      </div>
				      <div class="form-group">
				        <label for="input">State </label>
				        {{ Form::text('captain_state', null, ['class' => 'form-control']) }}
				      </div>
				      <div class="form-group">
				        <label for="input">Zip </label>
				        {{ Form::text('captain_zip', null, ['class' => 'form-control']) }}
				      </div>
				      <div class="form-group">
				        <label for="input">Day Phone </label>
				        {{ Form::text('captain_day_phone', null, ['class' => 'form-control']) }}
				      </div>
				      <div class="form-group">
				        <label for="input">Eve. Phone</label>
				        {{ Form::text('captain_eve_phone', null, ['class' => 'form-control']) }}
				      </div>
				    </div>
				</form>
				
				    <div class="col-md-6 angler-container" >
				   		@if(isset($anglers[0]))
						{{ Form::model($anglers[0]) }}
						      <legend>Angler 2</legend>
						     
						      <div class="form-group">
						        <label for="input">Angler</label>
						        {{ Form::text('angler_1_name', null, ['class' => 'form-control']) }}
						      </div>
						      <div class="form-group">
						        <label for="input">Email</label>
						        {{ Form::email('angler_1_email', null, ['class' => 'form-control']) }}
						      </div>
						      <div class="form-group">
						        <label for="input">Address</label>
						        {{ Form::text('angler_1_address', null, ['class' => 'form-control']) }}
						      </div>
						      <div class="form-group">
						        <label for="input">City</label>
						        {{ Form::text('angler_1_city', null, ['class' => 'form-control']) }}
						      </div>
						      <div class="form-group">
						        <label for="input">State</label>
						        {{ Form::text('angler_1_state', null, ['class' => 'form-control']) }}
						      </div>
						      <div class="form-group">
						        <label for="input">Zip</label>
						        {{ Form::text('angler_1_zip', null, ['class' => 'form-control']) }}
						      </div>
						      <div class="form-group">
						        <label for="input">Day Phone</label>
						        {{ Form::text('angler_1_day_phone', null, ['class' => 'form-control']) }}
						      </div>
						      <div class="form-group">
						        <label for="input">Eve. Phone</label>
						        {{ Form::text('angler_1_eve_phone', null, ['class' => 'form-control']) }}
						      </div>
						<form>
				 		@endif
				    </div>
				    </div>
				 
				    <div class="row">
				    <div class="col-md-6 angler-container">
				    	@if(isset($anglers[1]))
						{{ Form::model($anglers[1]) }}
						      <legend>Angler 3</legend>
						      <div class="form-group">
						        <label for="input">Angler</label>
						        {{ Form::text('angler_2_name', null, ['class' => 'form-control']) }}
						      </div>
						      <div class="form-group">
						        <label for="input">Email</label>
						        {{ Form::email('angler_2_email', null, ['class' => 'form-control']) }}
						      </div>
						      <div class="form-group">
						        <label for="input">Address</label>
						        {{ Form::text('angler_2_address', null, ['class' => 'form-control']) }}
						      </div>
						      <div class="form-group">
						        <label for="input">City</label>
						        {{ Form::text('angler_2_city', null, ['class' => 'form-control']) }}
						      </div>
						      <div class="form-group">
						        <label for="input">State</label>
						        {{ Form::text('angler_2_state', null, ['class' => 'form-control']) }}
						      </div>
						      <div class="form-group">
						        <label for="input">Zip</label>
						        {{ Form::text('angler_2_zip', null, ['class' => 'form-control']) }}
						      </div>
						      <div class="form-group">
						        <label for="input">Day Phone</label>
						        {{ Form::text('angler_2_day_phone', null, ['class' => 'form-control']) }}
						      </div>
						      <div class="form-group">
						        <label for="input">Eve. Phone</label>
						        {{ Form::text('angler_2_eve_phone', null, ['class' => 'form-control']) }}
						      </div>
						</form>
						@endif
				    </div>
				    <div class="col-md-6 angler-container">
				    	@if(isset($anglers[2]))
						{{ Form::model($anglers[2]) }}
						      <legend>Angler 4</legend>
						      <div class="form-group">
						        <label for="input">Angler</label>
						        {{ Form::text('angler_3_name', null, ['class' => 'form-control']) }}
						      </div>
						      <div class="form-group">
						        <label for="input">Email</label>
						        {{ Form::email('angler_3_email', null, ['class' => 'form-control']) }}
						      </div>
						      <div class="form-group">
						        <label for="input">Address</label>
						        {{ Form::text('angler_3_address', null, ['class' => 'form-control']) }}
						      </div>
						      <div class="form-group">
						        <label for="input">City</label>
						        {{ Form::text('angler_3_city', null, ['class' => 'form-control']) }}
						      </div>
						      <div class="form-group">
						        <label for="input">State</label>
						        {{ Form::text('angler_3_state', null, ['class' => 'form-control']) }}
						      </div>
						      <div class="form-group">
						        <label for="input">Zip</label>
						        {{ Form::text('angler_3_zip', null, ['class' => 'form-control']) }}
						      </div>
						      <div class="form-group">
						        <label for="input">Day Phone</label>
						        {{ Form::text('angler_3_day_phone', null, ['class' => 'form-control']) }}
						      </div>
						      <div class="form-group">
						        <label for="input">Eve. Phone</label>
						        {{ Form::text('angler_3_eve_phone', null, ['class' => 'form-control']) }}
						      </div>
						 </form>
						@endif
				    </div>
				  </div>
				  <div class="row">
				    <div class="col-xs-6">
				      <legend>Optional Jackpots</legend>
				      <p>
						@if(count($jackpots) > 0)
							@foreach($jackpots as $item)
								<span class="label label-primary">$ {{ $item }}</span>
							@endforeach
						@else
							<p class="text-muted">None<p>
						@endif
				      </p>
				      <div class="form-group">
				        <label for="input">Total <strong>$ {{ number_format($record->total, 2) }}</strong></label>
				        
				      </div>
				    </div>
				  </div>
			</div>
		</div>
	    
	</form>
@stop