{{--
    Autor: Giovanni López O.
    @gmlo_89
--}}
<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8">
        <title>{{ Config::get('core.app_name') }}</title>
        <base href="{{ url('/') }}">
        {{-- Cargamos los css necesarios. --}}
        
        
        {{-- Carga lo que ocupe algún modulo en el head --}}
        @yield('head')

        {{-- Estilos del Dashboard --}}
        @if(App::environment('local'))
            <link rel="stylesheet/less" type="text/css" href="{{ asset('backend/less/dashboard.less') }}" />
        @else
            {{ HTML::style('backend/css/dashboard.min.css') }}
        @endif
    </head>
    <body class="login">


        <div class="cont-login">
            <div class="header">
                <p class="title">
                    {{ Config::get('core.app_name'); }}
                </p>
                <p class="description">
                    {{ trans('auth::message.instruction_reset_password') }}
                </p>
            </div>
            @if(Session::has('message'))
                {{ HTML::alertDanger(Session::get('message')) }}
            @elseif(Session::has('messageOK'))
                {{ HTML::alertSuccess(Session::get('messageOK')) }}
            @endif
            <div class="body">
                {{ Form::open(array('url' => '/admin/password/reset', 'id' => 'frmPrincipal')) }}
                    <input type="hidden" name="token" value="{{ $token }}">
                   <div class="input-group input-group-lg">
                        <span class="input-group-addon"><span class="glyphicon glyphicon-envelope"></span></span>
                        {{ Form::text(
                            'email', 
                            Input::old('email'), 
                            array('class' => 'form-control required email', 'placeholder' => trans('auth::label.email'), 'required', 'autofocus')
                        ) }}
                    </div>
                    <div class="input-group input-group-lg">
                        <span class="input-group-addon"><span class="glyphicon glyphicon-lock"></span></span>
                        {{ Form::password(
                            'password', 
                            array('class' => 'form-control', 'id' => 'password', 'placeholder' => trans('auth::label.password'), 'required')
                        ) }}
                    </div>
                    <div class="input-group input-group-lg" style="padding-bottom:40px;">
                        <span class="input-group-addon"><span class="glyphicon glyphicon-lock"></span></span>
                        {{ Form::password(
                            'password_confirmation', 
                            array('class' => 'form-control', 'id' => 'password_confirmation', 'placeholder' => trans('auth::label.password_confirmation'), 'required')
                        ) }}
                    </div>
                    <button type="submit" class="btn btn-primary btn-lg btn-block">{{ trans('auth::label.reset_password') }}</button>
                {{ Form::close() }}
            </div>
        </div>



        {{-- JS que se necesitaran a lo largo de la aplicación. --}}
        <script src="https://code.jquery.com/jquery.js"></script>
        <script>window.jQuery || document.write('<script src="{{ asset("backend/vendor/jquery/dist/jquery.js") }}"><\/script>')</script>
        
        @if(App::environment('local'))
            <!-- set options before less.js script -->
            <script>
              less = {
                env: "development",
                async: false,
                fileAsync: false,
                poll: 1000,
                functions: {},
                dumpLineNumbers: "comments",
                relativeUrls: false,
                rootpath: ""
              };
            </script>
            {{ HTML::script('backend/vendor/less/dist/less-1.7.0.min.js'); }}
        @endif

        {{ HTML::script('backend/js/bootstrap.min.js'); }}
        {{ HTML::script('backend/js/jquery.validate.js'); }}

        {{-- JS propio para cuando ocupe algunas funciones. --}}
        {{ HTML::script('backend/js/scripts.js'); }}
        <script type="text/javascript">
        $('#frmPrincipal').validate({
            rules: {
                password: {
                    required: true,
                    minlength: 6
                },
                password_confirmation: {
                    equalTo: "#password"
                }
            }
        });
        </script>


    </body>
</html>