<?php namespace App\Modules\Backend\Configurations\Models;


class Configuration extends \Eloquent {



	/**
	 * The database table used by the model.
	 *
	 * @var string
	 */
	protected $table = 'configurations';

	protected $fillable = array();


	/**
	 * Carga todos las configuraciones como si fueran atributos de un objeto de la clase Configuration.
	 * Se agrego un _ al principio del nombre de  dichos atributos.
	 * Ej. $config->_site_title
	 * ####
	 * Ademas agrega esos atributos al array $fillable para cargarlos directamente con el metodo fill de Eloquent.
	 */
	public function loadAllAttributesAs()
	{
		$all 		= Configuration::all();
		foreach ($all as $configuration) {
			$this->{'_'.$configuration->config} = $configuration->value;
			$this->fillable[] = '_'.$configuration->config;
		}
	}

	/**
	 * Guarda las configuraciones.
	 */
	public function saveConfigs()
	{
		$configs = $this->toArray();
		foreach ($configs as $key => $value) {
			$config 		= Configuration::where('config', substr($key, 1))->first();
			$config->value 	= $value;
			if(!$config->save())
				return false;
		}
		return true;
	}

	/**
	 * Asigna un valor a una configuración
	 */
	public function setConfig($config, $value)
	{
		$this->{'_'.$config} = $value;
	}
}