@extends('dashboard::master')
{{--
    Autor: Giovanni López O.
    @gmlo_89
--}}
@section('content')
    {{ Alert::render() }}
    <header>
		<h1 class="module-title"><span class="glyphicon glyphicon-paperclip"></span> @lang('dashboard::label.attachments')</h1>
    </header>
    {{ Alert::render() }}
    <div class="row btn-bar">
    	<div class="btn-group pull-left">
			<a href="{{ url('admin') }}" class="btn btn-default">{{ trans('dashboard::label.go_back') }}</a>
		</div>
    </div>
    <div class="panel panel-default">
		<div class="panel-heading">
			Archivos
		</div>
		<div class="panel-body">
			<p>Los archivos que se agreguen a la siguiente carpeta seán los que se envien como attach en los correos a los clientes una vez hecha la reservación.</p>
			<div class="row">
				<div class="col-md-12">
					{{ Form::open(['url' => route('attachments.upload'), 'files' => true, 'method' => 'POST', 'class' => 'form-horizontal', 'id' => 'frmPrincipal']) }}
						<div class="form-group">
							<label for="inputTitle" class="col-sm-2 control-label">Archivo</label>
							<div class="col-sm-10">
								<input type="file" name="file" class="required">
							</div>
						</div>
						<div class="form-group">
							<div class="col-sm-10 col-sm-offset-2">
								<button type="submit" class="btn btn-primary"><span class="glyphicon glyphicon-chevron-up"></span> Subir</button>
							</div>
						</div>
					{{ Form::close() }}
					<br>
					<table id="tablaPrincipal" class="table table-hover table-bordered">
						<thead>
							<tr role="row">
								<th>Archivo</th>
								<th>Opción</th>
							</tr>
						</thead>
						<tbody>
							@if(count($files) == 0)
								<tr>
									<td colspan="2">No hay archivos para attach</td>
								</tr>
							@endif
							@foreach ($files as $file)	
								<tr>
									<td><a href="{{ $file['url'] }}" target="_blank">{{ $file['text'] }}</a></td>
									<td>
										{{ Form::open(['url' => route('attachments.destroy'), 'method' => 'DELETE']) }}
											{{ Form::hidden('file', $file['url']) }}
											<button type="submit" class="btn btn-link text-danger"><span class="glyphicon glyphicon-remove"></span> Eliminar</button>
										{{ Form::close() }}
									</td>
								</tr>
							@endforeach
						</tbody>
					</table>
				</div>
			</div>
		</div>
	</div>
@stop

@section('scripts')
	<script>
		$('#frmPrincipal').validate();
	</script>
@stop