<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>
      @yield('title') -  
      {{ App\Modules\Frontend\Principal\Models\Configuration::getConfig('site_title') }}
    </title>
    <meta name="description" content="{{ App\Modules\Frontend\Principal\Models\Configuration::getConfig('meta_description') }}" >
    <meta name="keywords" content="{{ App\Modules\Frontend\Principal\Models\Configuration::getConfig('meta_keywords') }}" >
    <link rel="shortcut icon" type="image/x-icon" href="{{ asset('frontend/img/favicon.ico') }}">

    <!-- Bootstrap -->
    <link rel="stylesheet" href="//maxcdn.bootstrapcdn.com/font-awesome/4.3.0/css/font-awesome.min.css">
    <link href='https://fonts.googleapis.com/css?family=Roboto:400,100,100italic,300,300italic,400italic,500,500italic,700,700italic,900,900italic' rel='stylesheet' type='text/css'>
    <link href='https://fonts.googleapis.com/css?family=Roboto+Slab:400,100,300,700' rel='stylesheet' type='text/css'>
    {{ HTML::style('frontend/css/bootstrap.min.css') }}
    {{ HTML::style('frontend/css/master.css') }}

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
    <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
    <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->

    <!-- Google translate -->
    <meta name="google-translate-customization" content="213cb64c5d3519a1-28d07e8b966e7318-g9f86bb2b78efc2a9-c"></meta>

</head>
<body  data-spy="scroll" data-target=".navbar-primary">

<nav class="navbar navbar-default navbar-primary navbar-fixed-top">
    <div class="container-fluid">
        <div class="navbar-header">
            <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1">
                <span class="sr-only">Toggle navigation</span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
            <a class="navbar-brand" href="{{ route('home') }}"><img src="{{ asset('frontend/img/logo.png') }}"></a>
        </div>
        <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
            <ul class="nav navbar-nav">
                <li><a href="{{ $url_home }}#especialidades" data-target="#especialidades">Especialidades</a></li>
                <li><a href="{{ $url_home }}#quienes-somos" data-target="#quienes-somos">¿Quienes somos?</a></li>
                <li><a href="{{ $url_home }}#instalaciones" data-target="#instalaciones">Instalaciones</a></li>
                <li><a href="{{ $url_home }}#compromiso" data-target="#compromiso">Compromiso con el Paciente</a></li>
                <li class="{{ $active_menu == 'blog' ? 'active':'' }}"><a href="{{ route('news') }}" >Blog</a></li>
            </ul>
            <ul class="nav navbar-nav navbar-right">
                <li>
                    <div id="google_translate_element"></div><script type="text/javascript">
                    function googleTranslateElementInit() {
                      new google.translate.TranslateElement({pageLanguage: 'es', includedLanguages: 'en', layout: google.translate.TranslateElement.InlineLayout.SIMPLE}, 'google_translate_element');
                    }
                    </script><script type="text/javascript" src="//translate.google.com/translate_a/element.js?cb=googleTranslateElementInit"></script>
                </li>
                <li><a href="{{ $url_home }}#preguntas-frecuentes" data-target="#preguntas-frecuentes">Preguntas frecuentes</a></li>
                <li><a href="{{ $url_home }}#contacto" data-target="#contacto">Contacto</a></li>
            </ul>
        </div>
    </div>
</nav>

@yield('content')


<footer class="container-fluid">
    <div class="container">
        <p>CECOM Centro de Cirugía Oral y Maxilofacial &copy; 2015</p>
    </div>
</footer>

<!-- jQuery (necessary for Bootstrap's JavaScript plugins) -->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.2/jquery.min.js"></script>
<!-- Include all compiled plugins (below), or include individual files as needed -->
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.2/js/bootstrap.min.js"></script>
</body>
</html>